package org.dromara.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 租户签约状态
 * 0->待提交
 * 1->待审核
 * 2->待确认
 * 3->有效
 * 4->无效
 * 5->过期
 *
 * @author huk
 */
@Getter
@AllArgsConstructor
public enum TenantSignStatus
{
    TO_BE_SUBMITTED("0", "待提交"),
    TO_BE_REVIEWED("1", "待审核"),
    TO_BE_CONFIRMED("2", "待确认"),
    IN_EFFECT("3", "签约生效"),
    INVALID("4", "无效"),
    EXPIRED("5", "过期");

    private final String status;
    private final String desc;

}
